@mixin app-unit-roster-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);

app-unit-roster {
    width: 100%;
    overflow-x: hidden;
  }  

  .txtuppercase {
    text-transform:uppercase
  }

  .unit-roster {
    margin-top: 25px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);
    
    
    
    .sp-unitroaster-main-card  {
      display: flex;
      flex-direction: column;
      padding: 5px;
      background-color: mat-color($primary, 50);
     
      .mat-card-content {
      
        .unitroster-small-box {
					display: flex;
					align-items: center;
					justify-content: center;
          background: white;
          
          .unitroster-containter {
						width: 98%;
            margin-right: 10px;
            margin-left: 10px;
            padding: 5px;
            font-size: 0.9em;
            border: 2px solid mat-color($primary, 100);
            border-radius: 5px;
         
            .unit-filter-label {
              flex-direction: row-reverse!important;
              align-self: center;
              flex: 1 1 0;
              width: 0;
            }
            .unit-filter-field {
              align-self: center;
              flex: 1 1 0;
              width: 0;
              padding-left:10px;
              padding-top:5px;
             // border-style: solid;
            }
            .mat-form-field-wrapper {
              padding-bottom: 0.4em;
            }
            .unit-address-label {
              align-self: center;
              flex: 1 1 0;
              width: 0;
              padding-left:10px;
            }
					}
        }
        
        
      }
    }
  }
}